RubyGems Navigation menu

rubocop 1.18.4

RuboCop is a Ruby code style checking and code formatting tool. It aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.63.1 - April 10, 2024 (623 KB)
  2. 1.63.0 - April 08, 2024 (623 KB)
  3. 1.62.1 - March 11, 2024 (619 KB)
  4. 1.62.0 - March 06, 2024 (618 KB)
  5. 1.61.0 - February 29, 2024 (617 KB)
  6. 1.18.4 - July 23, 2021 (488 KB)
Show all versions (267 total)

Runtime Dependencies (8):

parallel ~> 1.10
parser >= 3.0.0.0
rainbow >= 2.2.2, < 4.0
regexp_parser >= 1.8, < 3.0
rexml >= 0
rubocop-ast >= 1.8.0, < 2.0
unicode-display_width >= 1.4.0, < 3.0

Development Dependencies (1):

bundler >= 1.15.0, < 3.0

Owners:

Pushed by:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

12c63a283dc90816072392118f7dbfc358febc0648655abd23690905ecbd68d2

Total downloads 410,199,118

For this version 3,926,560

License:

MIT

Required Ruby Version: >= 2.5.0

New versions require MFA: true

Links: